'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _image = require('./components/image');

var _image2 = _interopRequireDefault(_image);

var _draftJs = require('draft-js');

var _style = {
  "imageWrapper": "draftJsEmojiPlugin__imageWrapper__o63QA",
  "center": "draftJsEmojiPlugin__center__2hzUI",
  "left": "draftJsEmojiPlugin__left__23qnn",
  "right": "draftJsEmojiPlugin__right__1o-p7",
  "imageButton": "draftJsEmojiPlugin__imageButton__IvvDa",
  "image": "draftJsEmojiPlugin__image__1gkdB",
  "imageLoader": "draftJsEmojiPlugin__imageLoader__1rOmo"
};

var _style2 = _interopRequireDefault(_style);

var _decorateWithProps = require('./utils/decorateWithProps');

var _decorateWithProps2 = _interopRequireDefault(_decorateWithProps);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var defaultTheme = _extends({}, _style2.default);

var imagePlugin = function imagePlugin(config) {
  var theme = config.theme ? config.theme : defaultTheme;
  return {
    // Handle 'block-image' block-type with Image component
    blockRendererFn: function blockRendererFn(contentBlock) {
      var type = contentBlock.getType();
      if (type === 'block-image') {
        // Feed entity data to block-component's props
        var entityKey = contentBlock.getEntityAt(0);
        var data = entityKey ? _draftJs.Entity.get(entityKey).data : {};
        return {
          component: (0, _decorateWithProps2.default)(_image2.default, _extends({ theme: theme }, data))
        };
      }return undefined;
    }
  };
};

exports.default = imagePlugin;